Bug 236603 - devel/RStudio: fails to build with boost 1.70
Summary: devel/RStudio: fails to build with boost 1.70
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/rstudio/rstudio/is...
Keywords: needs-patch, regression
Depends on:
Blocks: 235956
  Show dependency treegraph
 
Reported: 2019-03-17 15:10 UTC by Jan Beich
Modified: 2019-09-26 02:31 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (yuri)
jbeich: merge-quarterly+


Attachments
patch to integrate builtin boost to RStudio 1.2.1335 (2.43 KB, patch)
2019-08-22 11:05 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-03-17 15:10:21 UTC
While preparing for Boost upgrade this port failed to build. Can you help to avoid marking it as BROKEN?

$ fetch -qo- 'https://reviews.freebsd.org/D19303?download=true' |
  patch -Efsp0 -d /usr/ports
$ make all deinstall install clean -C/usr/ports/devel/boost-jam
$ make all deinstall install clean -C/usr/ports/devel/boost-libs
$ make -C/usr/ports/devel/RStudio
[...]
In file included from .../work/rstudio-1.2.1320/src/cpp/session/postback/PostbackMain.cpp:36:
In file included from .../work/rstudio-1.2.1320/src/cpp/session/include/session/http/SessionRequest.hpp:24:
In file included from .../work/rstudio-1.2.1320/src/cpp/core/include/core/http/TcpIpBlockingClient.hpp:22:
In file included from .../work/rstudio-1.2.1320/src/cpp/core/include/core/http/TcpIpAsyncClient.hpp:28:
.../work/rstudio-1.2.1320/src/cpp/core/include/core/http/TcpIpAsyncConnector.hpp:80:76: error: no member named 'get_io_service' in 'boost::asio::ip::basic_resolver<boost::asio::ip::tcp, boost::asio::executor>'
         pConnectionTimer_.reset(new boost::asio::deadline_timer(resolver_.get_io_service(), timeout));
                                                                 ~~~~~~~~~ ^
1 error generated.
Comment 1 Yuri Victorovich freebsd_committer 2019-03-17 18:05:18 UTC
Duplicate of bug#236589 ?
Comment 2 Jan Beich freebsd_committer 2019-03-17 19:43:20 UTC
No. Bug 236589 is about websocketpp bundlers and wesnoth that I've accidentally included due to similar error. With get_io_service removal games/freeorion may have a fix soon (see upstream issue) that can assist fixing other ports.
Comment 3 Jan Beich freebsd_committer 2019-04-12 09:44:17 UTC
The port has been marked BROKEN in ports r498698.
Comment 4 Jan Beich freebsd_committer 2019-04-12 13:45:40 UTC
Yuri, See Also field already had link to upstream bug.
Comment 5 tech-lists 2019-05-18 13:13:18 UTC
Is there any way round this? like use an earlier boost version
Comment 6 Yuri Victorovich freebsd_committer 2019-05-18 16:03:48 UTC
(In reply to tech-lists from comment #5)

> Is there any way round this? like use an earlier boost version

FreeBSD switched to the latest boost, and RStudio isn't ready.

Either you can create a pull request on GitHub with the needed changes. Pull requests can be easily incorporated into ports. Otherwise we need to wait for the upstream to fix it themselves.


Yuri
Comment 7 tech-lists 2019-07-07 12:23:20 UTC
(In reply to Yuri Victorovich from comment #6)

Hi,
Upstream suggests the boost issue is fixed?

https://github.com/Icinga/icinga2/issues/7041
Comment 8 Yuri Victorovich freebsd_committer 2019-07-07 18:15:31 UTC
(In reply to tech-lists from comment #7)

tech-lists@zyxst.net,

The port is at their latest tagged version, see https://github.com/rstudio/rstudio/tags

Please ask them to tag the version with the fixed boost problem.

Thanks,
Yuri
Comment 9 Rainer Hurling 2019-07-07 20:00:00 UTC
The solution described in comment #7 is for Icinga2 (net-mgmt/icinga2) and seems not sufficient for the RStudio port.


In devel/RStudio, after patching the ports Makefile like this:

========================================================================
--- Makefile.orig	2019-04-22 17:08:14.218090000 +0200
+++ Makefile	2019-07-07 21:54:17.461444000 +0200
@@ -21,7 +21,7 @@
 LICENSE=	GPLv3
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-BROKEN=		fails to build with boost 1.70, see bug 236603
+#BROKEN=		fails to build with boost 1.70, see bug 236603
 
 BUILD_DEPENDS=	ant:devel/apache-ant \
 		${LOCALBASE}/include/sys/sysinfo.h:devel/libsysinfo \
@@ -74,6 +74,10 @@
 		s|rHomePaths.push_back|//rHomePaths.push_back|; \
 		s|//rHomePaths.push_back(FilePath("/usr/local/lib/|rHomePaths.push_back(FilePath("${PREFIX}/lib/|' \
 		${WRKSRC}/src/cpp/core/r_util/RVersionsPosix.cpp
+	# Changes in Boost 1.70 (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=236603)
+	@${REINPLACE_CMD} -e 's|get_io_service()|get_executor().context()|g' \
+		${WRKSRC}/src/cpp/core/include/core/http/TcpIpAsyncConnector.hpp \
+		${WRKSRC}/src/cpp/ext/websocketpp/transport/asio/endpoint.hpp
 
 pre-build:
 	@${CP} ${FILESDIR}/global-setenv.h ${WRKSRC}/src/cpp/desktop/
========================================================================


the build breaks with:

[..snip..]
[ 43%] Building CXX object src/cpp/desktop/CMakeFiles/rstudio.dir/DesktopSessionLauncher.cpp.o
cd /usr/ports/devel/RStudio/work/.build/src/cpp/desktop && /usr/bin/c++  -DBOOST_ASIO_DISABLE_KQUEUE -DBOOST_ENABLE_ASSERT_HANDLER -DBOOST_SIGNALS_NO_DEPRECATION_WARNING -DQT_CORE_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_SIGNALS_SLOTS_KEYWORDS -DQT_OPENGL_LIB -DQT_POSITIONING_LIB -DQT_PRINTSUPPORT_LIB -DQT_QML_LIB -DQT_QUICKWIDGETS_LIB -DQT_QUICK_LIB -DQT_SENSORS_LIB -DQT_SQL_LIB -DQT_SVG_LIB -DQT_WEBCHANNEL_LIB -DQT_WEBENGINECORE_LIB -DQT_WEBENGINEWIDGETS_LIB -DQT_WEBENGINE_LIB -DQT_WIDGETS_LIB -DQT_XMLPATTERNS_LIB -DQT_XML_LIB -DRSTUDIO_BOOST_NAMESPACE=boost -DRSTUDIO_BOOST_SIGNALS_VERSION=2 -DWEBSOCKETPP_STRICT_MASKING -D_FORTIFY_SOURCE=2 -D_WEBSOCKETPP_NO_CPP11_MEMORY_=1 -I/usr/ports/devel/RStudio/work/.build/src/cpp/desktop -I/usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/desktop -I/usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/desktop/include -I/usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/core/include -I/usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/tests/cpp -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/qt5/QtNetwork -isystem /usr/local/include/qt5/QtWebChannel -isystem /usr/local/include/qt5/QtQml -isystem /usr/local/include/qt5/QtWebEngine -isystem /usr/local/include/qt5/QtWebEngineCore -isystem /usr/local/include/qt5/QtQuick -isystem /usr/local/include/qt5/QtPositioning -isystem /usr/local/include/qt5/QtWebEngineWidgets -isystem /usr/local/include/qt5/QtPrintSupport -isystem /usr/local/include/qt5/QtQuickWidgets -isystem /usr/local/include/qt5/QtSensors -isystem /usr/local/include/qt5/QtSvg -isystem /usr/local/include/qt5/QtXml -isystem /usr/local/include/qt5/QtXmlPatterns -isystem /usr/local/include/qt5/QtDBus -isystem /usr/local/include/qt5/QtSql -isystem /usr/local/include/qt5/QtOpenGL -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -std=c++0x -std=c++11 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fPIE   -Wall -pthread -Wformat -Wformat-security -fstack-protector --param ssp-buffer-size=4 -fPIC -fPIC -std=gnu++11 -o CMakeFiles/rstudio.dir/DesktopSessionLauncher.cpp.o -c /usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/desktop/DesktopSessionLauncher.cpp
In file included from /usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/desktop/DesktopSessionLauncher.cpp:24:
In file included from /usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/core/include/core/http/TcpIpBlockingClient.hpp:20:
In file included from /usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/core/include/core/http/BlockingClient.hpp:24:
In file included from /usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/core/include/core/http/AsyncClient.hpp:30:
In file included from /usr/local/include/boost/asio/deadline_timer.hpp:24:
In file included from /usr/local/include/boost/asio/basic_deadline_timer.hpp:26:
/usr/local/include/boost/asio/detail/io_object_impl.hpp:87:40: error: no member named 'get_executor' in
      'boost::asio::execution_context'
      implementation_executor_(context.get_executor(),
                               ~~~~~~~ ^
/usr/local/include/boost/asio/basic_deadline_timer.hpp:256:7: note: in instantiation of function template
      specialization
      'boost::asio::detail::io_object_impl<boost::asio::detail::deadline_timer_service<boost::asio::time_traits<boost::posix_time::ptime>
      >, boost::asio::executor>::io_object_impl<boost::asio::execution_context>' requested here
    : impl_(context)
      ^
/usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/core/include/core/http/TcpIpAsyncConnector.hpp:80:38: note: 
      in instantiation of function template specialization
      'boost::asio::basic_deadline_timer<boost::posix_time::ptime,
      boost::asio::time_traits<boost::posix_time::ptime>,
      boost::asio::executor>::basic_deadline_timer<boost::asio::execution_context>' requested here
         pConnectionTimer_.reset(new boost::asio::deadline_timer(resolver_.get_executor().context(), timeout));
                                     ^
1 error generated.
*** Error code 1
Stop.
make[3]: stopped in /usr/ports/devel/RStudio/work/.build
Comment 10 Yuri Victorovich freebsd_committer 2019-07-07 20:05:32 UTC
(In reply to Rainer Hurling from comment #9)

I asked RStudio to fix the boost compatibility, but they replied that this is not a priority for them.
Comment 11 Rainer Hurling 2019-08-18 19:33:45 UTC
(In reply to Yuri Victorovich from comment #10)

After the release of RStudio 1.2.1335, some patches concerning boost[1][2][3] were committed. Especially two variables seem interesting:

- RSTUDIO_USE_SYSTEM_BOOST
- RSTUDIO_BOOST_SIGNALS_VERSION (3 instead of 2?)

Perhaps it is possible to build a newer version with inbuilt Boost instead of systems one? What do you think?


[1] https://github.com/rstudio/rstudio/commit/655da0f0778d7e6281e5a002018b23daf7f848e9
[2] https://github.com/rstudio/rstudio/commit/57b3754b6dc0cddfef961010e1489dfd47d09415
[3] https://github.com/rstudio/rstudio/commit/4193329c67f4d83881d176579e5466c4cde8711d
Comment 12 Yuri Victorovich freebsd_committer 2019-08-19 05:27:41 UTC
(In reply to Rainer Hurling from comment #11)

Hi Rainer,

I tried to set RSTUDIO_USE_SYSTEM_BOOST=OFF and RSTUDIO_BOOST_SIGNALS_VERSION=3, but it still breaks. I tried with the source with hash ed04690585.

I am not sure why don't they just upgrade to the latest boost. I asked them again on github.

You can try to submit a PR that makes RStudio boost-1.70 compatible.


Best,
Yuri
Comment 13 Rainer Hurling 2019-08-22 11:05:06 UTC
Created attachment 206786 [details]
patch to integrate builtin boost to RStudio 1.2.1335

I just tried some changes to the existing port version to integrate the inbuilt version of Boost. Configure seems to find inbuilt Boost, but unfortunately the build now breaks with several errors:


[  4%] Building CXX object src/cpp/core/CMakeFiles/rstudio-core.dir/BoostErrors.cpp.o
cd /usr/ports/devel/RStudio_patched-rstudio-boost/work/.build/src/cpp/core && /usr/bin/c++  -DBOOST_ASIO_DISABLE_KQUEUE -DBOOST_ENABLE_ASSERT_HANDLER -DBOOST_SIGNALS_NO_DEPRECATION_WARNING -DRSTUDIO_BOOST_NAMESP
ACE=rstudio_boost -DRSTUDIO_BOOST_SIGNALS_VERSION=2 -DWEBSOCKETPP_STRICT_MASKING -D_FORTIFY_SOURCE=2 -D_WEBSOCKETPP_NO_CPP11_MEMORY_=1 -I/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/c
pp/core/include -I/usr/ports/devel/RStudio_patched-rstudio-boost/work/.build/src/cpp/core -I/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/tests/cpp -isystem /usr/local/include -O2 
-pipe -fstack-protector-strong -fno-strict-aliasing -std=c++0x -std=c++11 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fPIC   -Wall -pthread -Wformat -Wformat-security -fstack-protector --param ssp-b
uffer-size=4 -fPIC -o CMakeFiles/rstudio-core.dir/BoostErrors.cpp.o -c /usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp
In file included from /usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:16:
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/include/core/BoostErrors.hpp:40:13: error: no type named 'thread_resource_error' in namespace 'boost'; did you mean simply 'threa
d_resource_error'?
      const boost::thread_resource_error& e) ;
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
            thread_resource_error
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/include/core/BoostErrors.hpp:33:7: note: 'thread_resource_error' declared here
class thread_resource_error ;
      ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:58:12: error: use of undeclared identifier 'no_error'; did you mean 'boost::interprocess::no_error'?
      case no_error:
           ^~~~~~~~
           boost::interprocess::no_error
/usr/local/include/boost/interprocess/errors.hpp:101:4: note: 'boost::interprocess::no_error' declared here
   no_error = 0,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:62:12: error: 'system_error' does not refer to a value
      case system_error:
           ^
/usr/local/include/boost/system/system_error.hpp:22:32: note: declared here
    class BOOST_SYMBOL_VISIBLE system_error : public std::runtime_error
                               ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:66:12: error: use of undeclared identifier 'other_error'; did you mean 'boost::interprocess::other_error'?
      case other_error:
           ^~~~~~~~~~~
           boost::interprocess::other_error
/usr/local/include/boost/interprocess/errors.hpp:104:4: note: 'boost::interprocess::other_error' declared here
   other_error,      // library generated error
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:70:12: error: use of undeclared identifier 'security_error'; did you mean 'boost::interprocess::security_error'?
      case security_error:
           ^~~~~~~~~~~~~~
           boost::interprocess::security_error
/usr/local/include/boost/interprocess/errors.hpp:105:4: note: 'boost::interprocess::security_error' declared here
   security_error,   // includes access rights, permissions failures
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:74:12: error: use of undeclared identifier 'read_only_error'; did you mean 'boost::interprocess::read_only_error'?
      case read_only_error:
           ^~~~~~~~~~~~~~~
           boost::interprocess::read_only_error
/usr/local/include/boost/interprocess/errors.hpp:106:4: note: 'boost::interprocess::read_only_error' declared here
   read_only_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:78:12: error: use of undeclared identifier 'io_error'; did you mean 'boost::interprocess::io_error'?
      case io_error:
           ^~~~~~~~
           boost::interprocess::io_error
/usr/local/include/boost/interprocess/errors.hpp:107:4: note: 'boost::interprocess::io_error' declared here
   io_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:82:12: error: use of undeclared identifier 'path_error'; did you mean 'boost::interprocess::path_error'?
      case path_error:
           ^~~~~~~~~~
           boost::interprocess::path_error
/usr/local/include/boost/interprocess/errors.hpp:108:4: note: 'boost::interprocess::path_error' declared here
   path_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:86:12: error: use of undeclared identifier 'not_found_error'; did you mean 'boost::interprocess::not_found_error'?
      case not_found_error:
           ^~~~~~~~~~~~~~~
           boost::interprocess::not_found_error
/usr/local/include/boost/interprocess/errors.hpp:109:4: note: 'boost::interprocess::not_found_error' declared here
   not_found_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:90:12: error: use of undeclared identifier 'busy_error'; did you mean 'boost::interprocess::busy_error'?
      case busy_error:
           ^~~~~~~~~~
           boost::interprocess::busy_error
/usr/local/include/boost/interprocess/errors.hpp:111:4: note: 'boost::interprocess::busy_error' declared here
   busy_error,       // implies trying again might succeed
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:94:12: error: use of undeclared identifier 'already_exists_error'; did you mean 'boost::interprocess::already_exists_error'?
      case already_exists_error:
           ^~~~~~~~~~~~~~~~~~~~
           boost::interprocess::already_exists_error
/usr/local/include/boost/interprocess/errors.hpp:112:4: note: 'boost::interprocess::already_exists_error' declared here
   already_exists_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:98:12: error: use of undeclared identifier 'not_empty_error'; did you mean 'boost::interprocess::not_empty_error'?
      case not_empty_error:
           ^~~~~~~~~~~~~~~
           boost::interprocess::not_empty_error
/usr/local/include/boost/interprocess/errors.hpp:113:4: note: 'boost::interprocess::not_empty_error' declared here
   not_empty_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:102:12: error: use of undeclared identifier 'is_directory_error'; did you mean 'boost::interprocess::is_directory_error'?
      case is_directory_error:
           ^~~~~~~~~~~~~~~~~~
           boost::interprocess::is_directory_error
/usr/local/include/boost/interprocess/errors.hpp:114:4: note: 'boost::interprocess::is_directory_error' declared here
   is_directory_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:106:12: error: use of undeclared identifier 'out_of_space_error'; did you mean 'boost::interprocess::out_of_space_error'?
      case out_of_space_error:
           ^~~~~~~~~~~~~~~~~~
           boost::interprocess::out_of_space_error
/usr/local/include/boost/interprocess/errors.hpp:115:4: note: 'boost::interprocess::out_of_space_error' declared here
   out_of_space_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:110:12: error: use of undeclared identifier 'out_of_memory_error'; did you mean 'boost::interprocess::out_of_memory_error'?
      case out_of_memory_error:
           ^~~~~~~~~~~~~~~~~~~
           boost::interprocess::out_of_memory_error
/usr/local/include/boost/interprocess/errors.hpp:116:4: note: 'boost::interprocess::out_of_memory_error' declared here
   out_of_memory_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:114:12: error: use of undeclared identifier 'out_of_resource_error'; did you mean 'boost::interprocess::out_of_resource_error'?
      case out_of_resource_error:
           ^~~~~~~~~~~~~~~~~~~~~
           boost::interprocess::out_of_resource_error
/usr/local/include/boost/interprocess/errors.hpp:117:4: note: 'boost::interprocess::out_of_resource_error' declared here
   out_of_resource_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:118:12: error: use of undeclared identifier 'lock_error'; did you mean 'boost::interprocess::lock_error'?
      case lock_error:
           ^~~~~~~~~~
           boost::interprocess::lock_error
/usr/local/include/boost/interprocess/errors.hpp:118:4: note: 'boost::interprocess::lock_error' declared here
   lock_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:122:12: error: use of undeclared identifier 'sem_error'; did you mean 'boost::interprocess::sem_error'?
      case sem_error:
           ^~~~~~~~~
           boost::interprocess::sem_error
/usr/local/include/boost/interprocess/errors.hpp:119:4: note: 'boost::interprocess::sem_error' declared here
   sem_error,
   ^
/usr/ports/devel/RStudio_patched-rstudio-boost/work/rstudio-1.2.1335/src/cpp/core/BoostErrors.cpp:126:12: error: use of undeclared identifier 'mode_error'; did you mean 'boost::interprocess::mode_error'?
      case mode_error:
           ^~~~~~~~~~
           boost::interprocess::mode_error
/usr/local/include/boost/interprocess/errors.hpp:120:4: note: 'boost::interprocess::mode_error' declared here
   mode_error,
   ^
fatal error: too many errors emitted, stopping now [-ferror-limit=]
20 errors generated.


Sorry, I have no clue what to do next.
Comment 14 tech-lists 2019-09-25 12:29:15 UTC
Does RStudio work with boost in ports?

https://github.com/rstudio/rstudio/issues/2373 has this issue closed

I'll try building it today
Comment 15 tech-lists 2019-09-25 16:58:23 UTC
Yeah, it's still broken:

[01:58:42] /wrkdirs/usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/core/include/core/http/TcpIpAsyncConnector.hpp:80:76: error: no member named 'get_io_service' in 'boost::asio::ip::basic_resolver<boost::asio::ip::tcp, boost::asio::executor>'
[01:58:42]          pConnectionTimer_.reset(new boost::asio::deadline_timer(resolver_.get_io_service(), timeout));
[01:58:42]                                                                  ~~~~~~~~~ ^
[01:58:42] 1 error generated.
[01:58:42] *** [src/cpp/session/postback/CMakeFiles/rpostback.dir/PostbackMain.cpp.o] Error code 1
[01:58:42] 
[01:58:42] make[3]: stopped in /wrkdirs/usr/ports/devel/RStudio/work/.build
[01:58:42] 1 error
[01:58:42] 
[01:58:42] make[3]: stopped in /wrkdirs/usr/ports/devel/RStudio/work/.build
[01:58:42] *** [src/cpp/session/postback/CMakeFiles/rpostback.dir/all] Error code 2
[01:58:42] 
[01:58:42] make[2]: stopped in /wrkdirs/usr/ports/devel/RStudio/work/.build
[01:58:48] --- src/cpp/desktop/CMakeFiles/rstudio.dir/all ---
[01:58:48] --- src/cpp/desktop/CMakeFiles/rstudio.dir/DesktopBrowserWindow.cpp.o ---
[01:58:48] /wrkdirs/usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/desktop/DesktopBrowserWindow.cpp:50:35: warning: adding 'int' to a string does not append to the string [-Wstring-plus-int]
[01:58:48]    const char* webChannelInit = 1 + R"EOF(
[01:58:48]                                 ~~^~~~~~~~
[01:58:48] /wrkdirs/usr/ports/devel/RStudio/work/rstudio-1.2.1335/src/cpp/desktop/DesktopBrowserWindow.cpp:50:35: note: use array indexing to silence this warning
[01:58:48] 1 warning generated.
[01:58:55] A failure has been detected in another branch of the parallel make
Comment 16 commit-hook freebsd_committer 2019-09-25 18:15:49 UTC
A commit references this bug:

Author: jbeich
Date: Wed Sep 25 18:15:05 UTC 2019
New revision: 512802
URL: https://svnweb.freebsd.org/changeset/ports/512802

Log:
  devel/RStudio: unbreak

  PR:		236603
  Obtained from:	upstream

Changes:
  head/devel/RStudio/Makefile
  head/devel/RStudio/distinfo
  head/devel/RStudio/files/patch-boost-1.70
Comment 17 commit-hook freebsd_committer 2019-09-25 18:15:52 UTC
A commit references this bug:

Author: jbeich
Date: Wed Sep 25 18:15:33 UTC 2019
New revision: 512803
URL: https://svnweb.freebsd.org/changeset/ports/512803

Log:
  MFH: r512802

  devel/RStudio: unbreak

  PR:		236603
  Obtained from:	upstream
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2019Q3/
  branches/2019Q3/devel/RStudio/Makefile
  branches/2019Q3/devel/RStudio/distinfo
  branches/2019Q3/devel/RStudio/files/patch-boost-1.70
Comment 18 Jan Beich freebsd_committer 2019-09-25 18:31:19 UTC
devel/RStudio is 2 versions behind upstream: v1.2.1578 and v1.2.5001. Maintainer probably didn't notice becuse GitHub's "Watch: Releases only" feature only applies to annotated tags, not regular tags.
Comment 19 Yuri Victorovich freebsd_committer 2019-09-26 02:31:23 UTC
(In reply to Jan Beich from comment #18)

The maintainer happens to be busy with his dayjob responsibilities. But he will try to find time this weekend.